<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Aprendendo CSS</title>
	<link href="https://fonts.googleapis.com/css?family=Jockey+One" rel="stylesheet">
	<link rel="shortcut icon" type="image/png" href="css.png">
	<link rel="stylesheet" type="text/css" href="style.css">
	<link href="https://fonts.googleapis.com/css?family=Dosis" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Press+Start+2P" rel="stylesheet">
</head>
<body>
	<h1>Bem vindo ao HTML CSS,e ai,notou alguma diferença na pagina ?</h1>
	<h2>Esta pagina foi feita com HTML e CSS.</h2>
		<center><img src="html-css.png" alt="imagem" /></center>
	<h2>O que é o CSS ?</h2>
	<center><img src="css3.png" alt="imagem"></center>
	<div class="dv1">
		<p>CSS é a sigla para o termo em inglês Cascading Style Sheets, que traduzido para o português significa Folha de Estilo em Cascatas. O CSS é fácil de aprender e entender e é facilmente utilizado com as linguagens de marcação HTML ou XHTML.</p>
		<p>CSS é uma linguagem de folha de estilos, que tem o papel de tornar uma página apresentável na web, relacionada diretamente com o design e aparência. Ou seja, o CSS é uma camada que se usa para controlar o estilo da sua página da web.</p>
		<p>Para entender o que é CSS pense  na decoração da sua página. Utilizando o CSS é possível alterar a cor do texto e do fundo, fonte, espaçamento entre parágrafos, criar tabelas, usar variações de layouts, ajustar imagens para suas respectivas telas e assim por diante. Podemos dizer que toda a parte visual da sua página será definida com o CSS.</p>
		<p>O CSS ilustra como os elementos em HTML de um site devem ser apresentados nas telas. De uma forma direta, é o CSS que determina o visual do seu site. Desde o tamanho da fonte até a imagem de fundo, tudo pode ser alterado com o CSS.</p>
		<p>Por que cascata? O termo dá-se por causa do método de utilização. É possível usar vários documentos CSS a fim de de se compor o visual da página, cada um com uma regra diferente.</p>
	</div>
	<h2>HTML e CSS</h2>
	<center><img src="html_css.png" alt="imagem"></center>
	<div class="dv2">
		<p>Para resumir, vamos fazer uma analogia para você entender porque vamos falar de HTML em um artigo sobre o que é CSS. Imagine a construção de uma casa.</p>
		<p>Na sua casa, o HTML é responsável pela estrutura. Definir quantos cômodos, quantidade de quartos e garagem. Isso acontece com cabeçalho, títulos e parágrafos do seu texto. Para isso servem as linguagens de marcação você pode saber mais sobre o HTML <a href="/home/virick/Desktop/Aprendendo HTML/HTML/aprendendohtml.html" target="_blank">clicando aqui.</a></p>
		<p>Depois de pronta, você certamente quer decorar sua casa. Nessa hora você precisará do CSS. É o CSS quem vai determinar quais as cores das paredes, qual estilo da decoração, dos tapetes e das cortinas. Daí, entende-se a decoração da sua página: cor da fonte, quantidade de linhas e colunas, estilo da fonte, layout, efeitos de sombra em botões, animações de elementos e até mesmo profundidade. Para isso serve a linguagem de estilo de camada.</p>
		<p>E por último, mas que ainda não vamos aprofundar neste texto, entra a parte automatizada da sua casa. Instalações de facilitadores como aquecedor, ar-condicionado, sistema de música automático ou campainha, que é  para isso que serve a linguagem de programação, como JavaScript, Json, Ruby on Rails, por exemplo.</p>
	</div>
	<h2>Como Surgiu?</h2>
	<div class="dv3">
		<p>A história do CSS começou em 1994 quando Håkon Wium se deparou com uma situação onde, para publicar uma página da web não havia possibilidade de criar um layout similar ao de um jornal de papel. E foi assim que criou-se a linguagem de folha de estilo, para estilizar páginas.</p>
		<p>Antes de saber o que é CSS, quando Tim Berners-Lee criou o HTML, esperava que isso chegaria a acontecer, mas não publicou a sintaxe da folha de estilo, que se tornou um problema para cada navegador ao ter que decidir como apresentar as páginas para os usuários.</p>
		<p>Håkon, com ajuda de Bert Bos, publicou o primeiro rascunho de uma Folha de Estilo em camadas e o original ainda está <a href="https://www.w3.org/People/howcome/p/cascade.html" target="_blank">disponível online.</a></p>
	</div>
	<h2>Características do CSS</h2>
	<center><img src="css.gif" alt="gif"></center>
	<div class="dv4">
		<p>O CSS é muito bem recebido pelos navegadores atuais. Chega a ser relativamente fácil aprender e criar um código mais eficiente e<i> clean</i> que se aplique em todas as suas páginas HTML.</p>
		<p>Quem usa CSS é capaz de estilizar sua página da mesma forma que programadores modulam códigos de <i>softwares</i>. Isto faz do CSS um novo padrão na criação de páginas web. Os navegadores usam os comandos CSS para alterar a forma como um documento é apresentado.</p>
	</div>
	<h2>Benefícios e Vantagens do CSS</h2>
	<center><img src="css3.gif" alt="gif"></center>
	<div class="dv5">
		<p>Podemos destacar que os principais benefícios do CSS na construção de páginas são:</p>
		<h3>jndj</h3>
	</div>
</body>
</html>